package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

/**
* @description: 用户基本信息
* @author zx
* @date 2022/3/22 13:51
*/
public class BasicUserInfo {
    @ApiModelProperty(value = "用户编号", required = true)
    private Long userId;

    @ApiModelProperty(value = "sys_user表username_", required = true)
    private String username;

    @ApiModelProperty(value = "sys_user表real_name_", required = true)
    private String realName;

    @ApiModelProperty(value = "用户头像", required = true)
    private String avatar;

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }
}
